### Function

# Gimp RunGradientCallback

#### Declaration

    void
    (* GimpRunGradientCallback) (
      const gchar* gradient_name,
      gint width,
      const gdouble* grad_data,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`gradient_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint`

  No description available.

`grad_data`

  Type: `const gdouble*`

  No description available.

  The data is owned by the caller of the function.

`dialog_closing`

  Type: `gboolean`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.